"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("../base"));
class CancelAllOrders extends base_1.default {
    async run() {
        const { args } = await this.parse(CancelAllOrders);
        const { marketId } = args;
        this.log(`Canceling all orders in market ID ${marketId}`);
        const { executionOutcome } = await this.tonic.cancelAllOrders(marketId);
        this.log(`Canceled all orders in ${marketId}`);
        this.logTransaction(executionOutcome);
    }
}
exports.default = CancelAllOrders;
CancelAllOrders.description = 'Cancel all user orders in a given market';
CancelAllOrders.examples = [`$ tonic cancel-all 123456`];
CancelAllOrders.args = [
    {
        name: 'marketId',
        description: 'Market ID',
        required: true,
    },
];
