"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("../base"));
// TODO: support multiple cancellations
class CancelOrder extends base_1.default {
    async run() {
        const { args } = await this.parse(CancelOrder);
        const { marketId, orderId } = args;
        this.log(`Canceling order ${orderId}`);
        const { executionOutcome } = await this.tonic.cancelOrder(marketId, orderId);
        this.log(`Canceled order ${orderId}`);
        this.logTransaction(executionOutcome);
    }
}
exports.default = CancelOrder;
CancelOrder.description = 'Cancel an order.';
CancelOrder.examples = [`$ tonic cancel NEAR-ft:ft.examples.testnet 1000`];
CancelOrder.args = [
    {
        name: 'marketId',
        description: 'Market ID',
        required: true,
    },
    {
        name: 'orderId',
        description: 'Order ID to cancel',
        required: true,
    },
];
