"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base_1 = tslib_1.__importDefault(require("../base"));
class SignMessage extends base_1.default {
    async run() {
        const { args } = await this.parse(SignMessage);
        const signature = await this.account.connection.signer.signMessage(args.message, this.account.accountId, this.connectConfig.networkId);
        console.log('signature', Buffer.from(signature.signature).toString('base64'));
    }
}
exports.default = SignMessage;
SignMessage.description = 'Sign a messsage (arbitrary byte message)';
SignMessage.examples = [`$ tonic sign-message`];
SignMessage.args = [
    {
        name: 'message',
        description: 'Message to sign',
        parse: (s) => Buffer.from(s),
        required: true,
    },
];
